// Q3 UT Partial Conversion
// Shaders written by Thearrel "Kiltron" McKinney
// http://www.planetquake.com/meanarena

textures/ut06/ut06_skybox1
{
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
        q3map_lightimage textures/ut06/ut06_skybox1.tga
	q3map_sun	1 1 1 100 -58 58
	q3map_surfacelight 100

        skyparms env/ut06 - -
       {
		map textures/ut06/cloud1a1.tga
		blendfunc GL_ONE GL_ONE
                tcMod scroll 0.01 0.01
		tcMod scale 3 2
	}
}
textures/ut06/ut06_skybox.tga
{
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	qer_editorimage textures/ut06/ut06_skybox.tga
	q3map_surfacelight 500
	q3map_sun	1 1 0.5 150	30 60
	skyparms - 512 -
	{
		map textures/rebelcielo/ut06/ut06_skybox.tga
		tcMod scale 3 2
		tcMod scroll 0.15 0.15
		depthWrite
	}
	{
		map textures/rebelcielo/ut06/ut06_skybox.tga
		blendFunc GL_ONE GL_ONE
		tcMod scale 3 3
		tcMod scroll 0.05 0.05
	}
}

textures/ut06/lnd1
{
        qer_editorimage textures/ut06/lnd1.tga	
    	surfaceparm trans	
	surfaceparm alphashadow
	surfaceparm playerclip
   	surfaceparm nonsolid
	surfaceparm nomarks	
	cull none
        nopicmip
	{
		map textures/ut06/lnd1.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/ut06/lnd2
{
        qer_editorimage textures/ut06/lnd2.tga	
    	surfaceparm trans	
	surfaceparm alphashadow
	surfaceparm playerclip
   	surfaceparm nonsolid
	surfaceparm nomarks	
	cull none
        nopicmip
	{
		map textures/ut06/lnd2.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/ut06/lnd3
{
        qer_editorimage textures/ut06/lnd3.tga	
    	surfaceparm trans	
	surfaceparm alphashadow
	surfaceparm playerclip
   	surfaceparm nonsolid
	surfaceparm nomarks	
	cull none
        nopicmip
	{
		map textures/ut06/lnd3.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/ut06/lnd4
{
        qer_editorimage textures/ut06/lnd4.tga	
    	surfaceparm trans	
	surfaceparm alphashadow
	surfaceparm playerclip
   	surfaceparm nonsolid
	surfaceparm nomarks	
	cull none
        nopicmip
	{
		map textures/ut06/lnd4.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}